Skip to main content
GET
Get paginated usage data grouped over time.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

to
string<date>

Date used to resolve usage terms. Defaults to today.

from
string<date>

Start date, inclusive. Defaults to the resolved usage start date.

accountIds
string[] | null

Account IDs included in the resolved usage terms. Repeat or comma-separate values.

checkTypes
enum<string>[] | null

Check types to include. Repeat or comma-separate values.

Available options:
AGENTIC,
API,
BROWSER,
HEARTBEAT,
ICMP,
MULTI_STEP,
TCP,
PLAYWRIGHT,
URL,
DNS,
SSL,
GRPC,
TRACEROUTE
interval
enum<string>
default:day

Aggregation interval for response rows.

Available options:
total,
day,
week,
month
groupBy
enum<string>
default:account,checkType

Dimensions to group response rows by.

Available options:
account,
checkType,
account,checkType
limit
integer
default:100

Maximum number of rows to return.

Required range: 1 <= x <= 500
nextId
string

Opaque cursor returned by the previous page.

Minimum string length: 1

Response

Successful

usageTermsId
string<uuid>
required
period
object
required
data
object[]
required
length
integer
required
Required range: x >= 0
nextId
string | null
required
warnings
object[]
required